Bug 517682 - Sound driver suddenly stopped working. No more audio, X86-64, AMD 780G.
Summary: Sound driver suddenly stopped working. No more audio, X86-64, AMD 780G.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: alsa-utils
Version: 11
Hardware: x86_64
OS: Linux
low
high
Target Milestone: ---
Assignee: Jaroslav Kysela
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-16 05:09 UTC by Kedar Patankar
Modified: 2009-09-10 05:16 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-10 05:16:18 UTC
Type: ---


Attachments (Terms of Use)

Description Kedar Patankar 2009-08-16 05:09:45 UTC
Description of problem: Sound stopped playing in the middle of a ogg file playing thru rhythmbox.


Version-Release number of selected component (if applicable): 
pulseaudio-0.9.15-14.fc11.x86_64
alsa-lib-1.0.20-1.fc11.x86_64
alsa-utils-1.0.20-3.fc11.x86_64
alsa-plugins-pulseaudio-1.0.20-2.fc11.x86_64
alsa-lib-devel-1.0.20-1.fc11.x86_64

How reproducible: Random. But not uncommon - say once 2-3 hours.


Steps to Reproduce:
1. Play songs thru rhythmbox.
2. Do other things, browse net, read news...
3. All of a sudden sound playing thru rhythmbox stopped. But progress bar in rhythmbox continued on.
  
Actual results: No more audio. Stopping/restarting rhythmbox didn't make any difference.


Expected results: Should not happen!


Additional info:
This happened on a Phenom-II w/4GB RAM and AMD 780G motherboard.

Comment 1 Kedar Patankar 2009-08-16 05:12:41 UTC
Hardware info collected by alsa-info.sh:

http://www.alsa-project.org/db/?f=de89e94dad3d5ce2550d656c5651763693b5cfa2

Comment 2 Kelvin 2009-08-19 14:09:53 UTC
I also suffer from the strange problem.

Audio was working fine till 17th August 2009.

Comment 3 Kedar Patankar 2009-09-10 05:16:18 UTC
With the latest updates for F11, things are much better. I don't see the weird "no sound until a reboot" problem described above. There were a bunch of other issues I had noticed that also appear to be fixed, namely: volume controls not working correctly for rhythmbox, whenever the song changes, the volume would reset to almost inaudible etc.

Here is the alsa and kernel versions that work:

[kedar@agent ~]$ rpm -q kernel alsa
kernel-2.6.29.6-217.2.8.fc11.x86_64
kernel-2.6.29.6-217.2.16.fc11.x86_64
kernel-2.6.30.5-43.fc11.x86_64
package alsa is not installed
[kedar@agent ~]$ rpm -qa | grep alsa
alsa-utils-1.0.21-2.fc11.x86_64
alsa-lib-devel-1.0.21-1.fc11.x86_64
alsa-plugins-pulseaudio-1.0.20-2.fc11.x86_64
alsa-lib-1.0.21-1.fc11.x86_64
[kedar@agent ~]$


Note You need to log in before you can comment on or make changes to this bug.